/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

// @ts-check

/** @type {import('@docusaurus/plugin-content-docs').SidebarsConfig} */
const sidebars = {
  // By default, Docusaurus generates a sidebar from the docs folder structure
  //tutorialSidebar: [{type: 'autogenerated', dirName: '.'}],

  // But you can create a sidebar manually

  defaultSidebar: [
    {
      type: 'doc',
      label: 'Introduction',
      id: 'intro',
    },
    {
      type: 'doc',
      label: 'Versions',
      id: 'versions',
    },
    {
      type: 'doc',
      label: 'Compiling',
      id: 'compiling',
    },
    {
      type: 'doc',
      label: 'Permissions',
      id: 'permissions',
    },
    {
      type: 'category',
      label: 'Configuration files',
      items: ['customization/config', 'customization/messages', `customization/commandblocker`],
    },
    {
      type: 'category',
      label: 'Modules',
      items: ['modules/introduction', 'modules/bukkittelnet', 'modules/httpd', 'modules/libsdisguises'],
    },
    {
      type: 'doc',
      label: 'Indefinite Bans',
      id: 'indefinitebans',
    },
    {
      type: 'doc',
      label: 'Configuring Redis',
      id: 'redis',
    },
  ],
};

module.exports = sidebars;
